CodeIgniter Forums

Full Version: 500 Internal Server Error
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
Pages: 1 2
Hi,

i have uploaded codeigniter project in Godaddy hosting server. i got an error saying  'internal server error.

i am new to Codeigniter and GoDaddy Server .

Please tell me how to upload codeigniter project successfully in GoDaddy server and the steps to follow while uploading in server.

it was working in localhost .
 
Thank you
Hi, and welcome to the CodeIgniter forums.

I'm not an expert in web server response codes, but I believe your .htaccess file can possibly lead to an error 500. Did CodeIgniter work when you installed it, before you copied your project to it? Try temporarily removing .htaccess to see if the problem goes away. If the problem persists, try installing something very automatic, like WordPress. If WordPress also gives you 500 error, sounds like it's an issue on GoDaddy's site, so you'll need to open a ticket.
@jjt

find error_log sometimes it is in root folder or in CPanel and try to read the exact error.

Good luck.
Hi ,

The problem of 500 internal server error is solved.


Now it is not connecting to mysql database .

pls advice for how to solve this

Thank you
configure database applicatio/config/database.php
Yeah, here's the link where the manual details how.
http://www.codeigniter.com/user_guide/da...ation.html
Yes.Database is configured correctly. Thank you.
I did coding in Php 5.4 but godaddy's version is 5.2.so my ccodes are not suporting after uplading in server.how to upgrade godaddy php version to 5.4.or higher.
i cannot see php 5.4 version in godaddy control panel to change .
Please advice.your help is appreciated.


Thank you
You'll probably have to look to GoDaddy's support to find out how to upgrade PHP, if it can be done. CodeIgniter should work on PHP 5.2.4, but you would not be able to use any of the features of the newer PHP versions in your own code.
(12-30-2015, 08:33 AM)mwhitney Wrote: [ -> ]You'll probably have to look to GoDaddy's support to find out how to upgrade PHP, if it can be done. CodeIgniter should work on PHP 5.2.4, but you would not be able to use any of the features of the newer PHP versions in your own code.

Hi

i searched in go daddy help files ,but couldn't get any required help.

Recently i saw this link
http://quickhow.net/2013/server/change-p...ux-hosting

i have done what they instructed ,but still my php 5.4 code is not supporting in go daddy's  php 5.2 .

Godaddy customer care is not giving info regarding upgrading to Php 5.4 .

i need it very urgently. Need your help too.

if anyone come across this situation ,please share the solution.

Thanking you for all your support
i appreciate it.


Thanks
JJT
Unfortunately, if GoDaddy won't upgrade to 5.4, then you will need to downgrade your code to be compatible with 5.2. I don't see any solution to that. I had to do that once after enthusiastically using features my host's PHP didn't support, and I was not happy. It's either that, or get a different host.

If you look here https://en.wikipedia.org/wiki/PHP you will see that 5.2 has not been supported since 2011. GoDaddy has no excuse for not upgrading. Even 5.4 was discontinued last September.
Pages: 1 2